Bug 831681 - Could not install OS using iBFT iscsi boot
Could not install OS using iBFT iscsi boot
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
5.9
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Andy Grover
Bruno Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 10:48 EDT by Bruno Goncalves
Modified: 2012-08-27 10:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Broadcom L2 iSCSI boot is not supported in RHEL 5.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 10:55:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Goncalves 2012-06-13 10:48:40 EDT
Description of problem:
When installing RHEL5.9 build, it was not able to start iscsi session.
The same settings worked fine on RHEL6.3

iscsiadm -m fw    
iscsiadm: Could not get list of targets from firmware. (err 21)

The server is using an embedded BCM card for booting.
iSCSI boot to target: disabled
HBA mode: enabled


Version-Release number of selected component (if applicable):
iscsid version 2.0-872.13.el5


How reproducible:
100%

Steps to Reproduce:
1.Install RHEL5.9 build
2.break install and check if iscsi session is available
(iscsiadm -m session)
  
Actual results:
iscsiadm -m session  
iscsiadm: No active sessions

Expected results:
iscsi session should be displayed

Additional info:
tried on storageqe-11
Comment 1 RHEL Product and Program Management 2012-06-13 10:59:04 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Mike Christie 2012-06-13 13:04:11 EDT
Darn. I have not changed anything in rhel5.9 from rhel 5.8.
Comment 3 Bruno Goncalves 2012-06-14 03:54:47 EDT
Actually it does not look like a regression.
I reproduced the issue with RHEL5.8 using the same settings.

on BIOS there is:
eth0 for PXE boot
eth1 iSCSI boot
 boot to target is disabled and HBA mode enabled.

On RHEL6.3 I have:
sh-4.1# iscsiadm -m fw
# BEGIN RECORD 2.0-872.41.el6
iface.initiatorname = iqn.1994-05.com.redhat:storageqe-11
iface.transport_name = tcp
iface.hwaddress = e8:39:35:20:de:cd
iface.bootproto = DHCP
iface.ipaddress = 10.16.71.1
iface.subnet_mask = 255.255.248.0
iface.gateway = 10.16.71.254
iface.primary_dns = 10.16.36.29
iface.secondary_dns = 10.16.255.2
iface.vlan_id = 0
iface.net_ifacename = eth1
node.name = iqn.1992-08.com.netapp:sn.151753773
node.conn[0].address = 10.16.43.127
node.conn[0].port = 3260
node.boot_lun = 00000000
# END RECORD
Comment 4 RHEL Product and Program Management 2012-06-14 03:58:26 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 5 RHEL Product and Program Management 2012-07-11 10:55:27 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.
Comment 7 Gris Ge 2012-08-06 07:45:33 EDT
Requesting tech note.
Comment 8 Gris Ge 2012-08-06 07:45:33 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Broadcom L2 iSCSI boot is not supported in RHEL 5.

Note You need to log in before you can comment on or make changes to this bug.